package com.zcxk.service;

import com.zcxk.entity.DayReportEntity;

import java.time.LocalDate;
import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020/12/14 14:36
 */
public interface TestDataService {

    void createDataByYear(Long id , LocalDate beginDate, LocalDate endDate);
    void createDataByMonth(Long id ,LocalDate beginDate, LocalDate endDate);
    void createDataByDay(List<DayReportEntity> dayReportEntityList,LocalDate beginDate, LocalDate endDate);
    void createAlarmByDay(Integer deviceId,LocalDate beginDate, LocalDate endDate,Integer times);
    List<DayReportEntity> selectDeviceInfo(Long id);
}
